optparse-applicative-0.18.1.0: Utilities and combinators for parsing command line options

Safe Haskell | Safe-Inferred
Language | Haskell98

Options.Applicative.Help.Types

Synopsis

- data ParserHelp = ParserHelp {
  - helpError :: Chunk Doc
  - helpSuggestions :: Chunk Doc
  - helpHeader :: Chunk Doc
  - helpUsage :: Chunk Doc
  - helpDescription :: Chunk Doc
  - helpBody :: Chunk Doc
  - helpGlobals :: Chunk Doc
  - helpFooter :: Chunk Doc
  }
- renderHelp :: Int -> ParserHelp -> String

# Documentation

data ParserHelp #

Constructors

ParserHelp |
Fields helpError :: Chunk Doc helpSuggestions :: Chunk Doc helpHeader :: Chunk Doc helpUsage :: Chunk Doc helpDescription :: Chunk Doc helpBody :: Chunk Doc helpGlobals :: Chunk Doc helpFooter :: Chunk Doc

#### Instances

Instances details

Monoid ParserHelp # |
Instance details Defined in Options.Applicative.Help.Types Methods mempty :: ParserHelp # mappend :: ParserHelp -> ParserHelp -> ParserHelp # mconcat :: [ParserHelp] -> ParserHelp #
Semigroup ParserHelp # |
Instance details Defined in Options.Applicative.Help.Types Methods (<>) :: ParserHelp -> ParserHelp -> ParserHelp # sconcat :: NonEmpty ParserHelp -> ParserHelp # stimes :: Integral b => b -> ParserHelp -> ParserHelp #
Show ParserHelp # |
Instance details Defined in Options.Applicative.Help.Types Methods showsPrec :: Int -> ParserHelp -> ShowS # show :: ParserHelp -> String # showList :: [ParserHelp] -> ShowS #

renderHelp :: Int -> ParserHelp -> String #

Convert a help text to `String`.